
QGIS Application - Bug report #5626

Union and Symetrical difference tools do not work if input layers are PostGIS data

2012-05-23 02:13 AM - Salvatore Larosa

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15194

Description

Subject says it all!

testing data:

SRID=4326;POLYGON((0 0,0 2,1 2,1 1,2 1,2 2,3 2,3 1,4 1,4 2,5 2,5 0,0 0))

SRID=4326;POLYGON((0 2,0 5,5 5,5 2,4 1,1 1,0 2))

History

#1 - 2012-05-23 10:04 AM - Alexander Bruy

I add some database related fixes. Unfortunately, currently I have no access to PostGIS DB and can't test. Please check if problem still exists after

commit:f998a44a31

#2 - 2012-05-23 10:09 AM - Giovanni Manghi

Alexander Bruy wrote:

I add some database related fixes. Unfortunately, currently I have no access to PostGIS DB and can't test. Please check if problem still exists after

commit:f998a44a31

I can give you one Alex, i will send you the access credentials privately

#3 - 2012-05-23 10:43 AM - Adam Hirsch

I'm also seeing a hang trying to run Symmetric Difference or Union on two Vector layers in a regular project, no PostGIS involved. (that I know of, anyhow;

I'm new to QGIS)

OSX 10.7, QGIS 1.7.4

#4 - 2012-05-23 11:30 AM - Alexander Bruy

Adam Hirsch wrote:
I'm also seeing a hang trying to run Symmetric Difference or Union on two Vector layers in a regular project, no PostGIS involved. (that I know of,

anyhow; I'm new to QGIS)

Can you try with latest development version? There are several fixes in this tools in last few days.

#5 - 2012-05-23 11:32 AM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to fixed

Just tested using attached sample data with PostGIS and SpatiaLite: both tools works. Please reopen if necessary

#6 - 2012-05-23 01:37 PM - Salvatore Larosa

Thanks! Everything works fine!

#7 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
